Evaluate Rego source with test input (dry-run)
curl --request POST \
--url https://api.swarmd.ai/relay/v1/policy-groups/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"regoSource": "<string>",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.swarmd.ai/relay/v1/policy-groups/evaluate"
payload = {
"regoSource": "<string>",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
regoSource: '<string>',
tenantId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sourceAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sourceUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sinkAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
channelId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
timestamp: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.swarmd.ai/relay/v1/policy-groups/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"middlewareConfigs": [
{
"enabledLegs": {
"requestFromSource": true,
"requestToSink": true,
"responseFromSink": true,
"responseToSource": true
},
"entity": {
"scoreThreshold": 0.5
}
}
],
"validationErrors": [
"<string>"
],
"evaluationTimeMs": 123
}Policy Groups
Evaluate Rego source with test input (dry-run)
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | TENANT | WRITE | TENANT:WRITE |
POST
/
relay
/
v1
/
policy-groups
/
evaluate
Evaluate Rego source with test input (dry-run)
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Body
application/json
⌘I
